summaryrefslogtreecommitdiffstats
path: root/audio/sbagen
diff options
context:
space:
mode:
author Ruan K. F <ruan.klein@gmail.com>2016-03-13 11:34:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-03-13 11:34:28 +0700
commitc9449612f171ee2e493b07615e7c384938d4ab2e (patch)
tree426b1d49769e16982e0f9e93fc2d88c312823fb7 /audio/sbagen
parent365c2989aafac9bafedf80069175b09a122e16e2 (diff)
downloadslackbuilds-c9449612f171ee2e493b07615e7c384938d4ab2e.tar.gz
slackbuilds-c9449612f171ee2e493b07615e7c384938d4ab2e.tar.xz
audio/sbagen: Script cleanup.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio/sbagen')
-rw-r--r--audio/sbagen/README6
-rw-r--r--audio/sbagen/sbagen.SlackBuild18
2 files changed, 8 insertions, 16 deletions
diff --git a/audio/sbagen/README b/audio/sbagen/README
index d198947dd6..7c9cc6e0e7 100644
--- a/audio/sbagen/README
+++ b/audio/sbagen/README
@@ -3,16 +3,12 @@ May be used to generate sounds that entrain the brain's waves to
oscillate at selected frequencies to aid in relaxation, lucid dreaming,
meditation, clear thought, out-of-body experiences and more.
-NOTE: SBaGen can run script sequences with mp3 and ogg backgrounds
-using reserved libraries (libmad.so/libvorbisidec.so.1).
+NOTE: SBaGen can run script sequences with mp3 and ogg backgrounds.
To use this, pass NONFREE=yes option to SlackBuild script (requires libvorbisidec).
-SBaGen is run only with OSS. Use 'sbagen-oss' to play script sequences.
READ the following documents to understand how this program works:
* /usr/share/doc/sbagen-VERSION/theory.txt
* /usr/share/doc/sbagen-VERSION/theory2.txt
* /usr/share/doc/sbagen-VERSION/SBAGEN.txt
- For more information about Binaural Beats and SBaGen, visit the official page.
-
USE AND EXPERIMENT WITH THIS UTILITY AT YOUR OWN RISK!
diff --git a/audio/sbagen/sbagen.SlackBuild b/audio/sbagen/sbagen.SlackBuild
index c44352cf04..ad3d02e1c4 100644
--- a/audio/sbagen/sbagen.SlackBuild
+++ b/audio/sbagen/sbagen.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for sbagen
-# Copyright 2015 Ruan K. F <ruan.klein@gmail.com>
+# Copyright 2016 Ruan K. F <ruan.klein@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,11 @@
PRGNAM=sbagen
VERSION=${VERSION:-1.4.5}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
DOCS="COPYING.txt ChangeLog.txt README.txt SBAGEN.txt TODO.txt focus.txt focus2.txt holosync.txt theory.txt theory2.txt wave.txt"
+BINNAME=${PRGNAM}-bin
# For MP3 and OGG support, set this to "yes"
NONFREE=${NONFREE:-no}
@@ -44,11 +45,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-[[ ! $ARCH =~ ^(i486|i686|x86_64)$ ]] && {
- echo "Sorry, this script no support the $ARCH architecture." >&2
- exit 1
-}
-
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -92,7 +88,7 @@ else
fi
# build
-gcc $OPT $LIBS sbagen.c -o sbagen || exit 1;
+gcc $OPT $LIBS sbagen.c -o $BINNAME || exit 1;
mkdir -p $PKG/usr/{bin,doc/$PRGNAM-$VERSION,share/$PRGNAM/src}
cp -ar $DOCS examples \
@@ -102,9 +98,9 @@ cp -ar scripts river{1,2}.ogg \
cp -ar *.c mk-* libs \
$PKG/usr/share/$PRGNAM/src
-install -m0755 -o 0:0 $CWD/${PRGNAM}-oss $PKG/usr/bin
-install -m0755 -o 0:0 $PRGNAM $PKG/usr/bin/$PRGNAM
-
+install -m0755 -o 0:0 $CWD/$PRGNAM $PKG/usr/bin
+install -m0755 -o 0:0 $BINNAME $PKG/usr/bin/$BINNAME
+
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install